%define upstream_name    Device-Modem
%define upstream_version 1.57

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Interface modems and other AT based devices
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Device/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Device::SerialPort)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%description
'Device::Modem' class implements basic *AT (Hayes) compliant* device
abstraction. It can be inherited by sub classes (as 'Device::Gsm'), which
are based on serial connections.

Things 'Device::Modem' can do
    * *

      connect to a modem on your serial port

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.570.0-6.mga6
+ Revision: 1025707
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.570.0-5.mga6
+ Revision: 949745
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 1.570.0-4.mga5
+ Revision: 790405
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.570.0-3.mga5
+ Revision: 738836
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.570.0-2.mga5
+ Revision: 684351
- Mageia 5 Mass Rebuild

* Tue Feb 04 2014 shlomif <shlomif> 1.570.0-1.mga5
+ Revision: 581130
- New version

* Fri Oct 18 2013 umeabot <umeabot> 1.560.0-3.mga4
+ Revision: 510869
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.560.0-2.mga3
+ Revision: 365888
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 27 2011 kharec <kharec> 1.560.0-1.mga2
+ Revision: 173045
- imported package perl-Device-Modem


* Sun Nov 27 2011 cpan2dist 1.56-1mga
- initial mageia release, generated with cpan2dist
